* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body, input, button {
    font-family: 'Open Sans', sans-serif;
}

input, button {
    font-size: 16px;
}

#btnTop {
    display: none;
    position: fixed;
    bottom: 30px;
    right: 30px;
    z-index: 99;
    font-size: 30px;
    border: none;
    outline: none;
    background-color: rgb(237, 100, 100);
    font-weight: bold;
    color: white;
    cursor: pointer;
    padding: 5px 10px 5px 10px;
    border-radius: 4px;
  }
  
  #btnTop:hover {
    background-color: #555;
    color: white;
  }


.head_bar {
    flex:5;
    padding: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: cornflowerblue;
    color: white;
    position: sticky;
    top: 0;
}

.headtitle{
    margin-right: 15%;
    font-size: 25px;
}

main {
    max-width: 800px;
    width: 80%;
    margin: 0 auto;
    padding: 16px;

}

.edit_section{
    width:100%;
    height:100%;
    z-index:9999;
    position:fixed;
    background: rgba(0, 0, 0, 0.5);
    top:0;
    left:0;
}

#edit{
    background-color: white;
    width:40%;
    margin:15% auto;
    border-radius: 10px;
    position: relative;
    box-shadow: 0 4px 8px 5px rgba(0, 0, 0, 0.2);
}

#edit > #editheader > h2{
    text-align: center;
    color:white;
}

#edit > #editheader{
    background-color: cornflowerblue;
    margin-bottom: 10px;
    border-radius: 10px 10px 0 0;
    padding:5px 0 5px 0;
}

#edit > #editbody{
    padding: 16px;
}

#edit > #editbody > form > .input > input {
    display: block;
    width: 100%;
    padding: 8px;
    border-radius: 5px;
}


#edit > #editbody > form > .input > label {
    color: cornflowerblue;
    font-weight: bold;
}

#edit > #editbody > form > .input_inline {
    margin: 12px 0;
    display: flex;
    align-items: center;
}

#edit > #editbody > form > .input_inline > label {
    color: cornflowerblue;
    font-weight: bold;
    margin-right: 10px;
}

#edit > #editbody > form > button {
    background-color: cornflowerblue;
    color: white;
    border: 0;
    border-radius: 5px;
    display: block;
    width: 100%;
    padding: 8px;
    cursor: pointer;
}

.input_section {
    display: flex;
    flex-direction: column;
    padding: 16px;
    border-radius: 10px;
    box-shadow: 0 4px 8px 5px rgba(0, 0, 0, 0.2);
}

.input_section > h2 {
    text-align: center;
    color: cornflowerblue;
}


.input_section > form > .input {
    margin: 8px 0;
}

.input_section > form > button {
    background-color: cornflowerblue;
    color: white;
    border: 0;
    border-radius: 5px;
    display: block;
    width: 100%;
    padding: 8px;
    cursor: pointer;
}

.input_section > form > button > span {
    font-weight: bold;
}

.input_section > form > .input > input {
    display: block;
    width: 100%;
    padding: 8px;
    border-radius: 5px;
}


.input_section > form > .input > label {
    color: cornflowerblue;
    font-weight: bold;
}

.input_section > form > .input_inline {
    margin: 12px 0;
    display: flex;
    align-items: center;
}

.input_section > form > .input_inline > label {
    color: cornflowerblue;
    font-weight: bold;
    margin-right: 10px;
}

.search_section {
    flex:1;
    display: flex;
    align-items: center;
    border-radius: 10px;
}

.search_section > form {
    padding: 16px;
    width: 100%;
    display: grid;
    grid-template-columns: auto 1fr 0.5fr;
    grid-gap: 10px;
}

.search_section > form > label {
    display: flex;
    align-items: center;
    color:rgb(255, 255, 255);
    font-weight: bold;
}

.search_section > form > input {
    padding: 5px;
    border-radius: 5px;
}

.search_section > form > button {
    background-color: rgb(255, 255, 255);
    color: cornflowerblue;
    border: 0;
    border-radius: 5px;
    cursor: pointer;
    border: 1px solid black;
    font-weight: bold;
}

.search_section > form > button:hover{
    background-color: rgb(228, 228, 228);
    color: cornflowerblue;
}

.book_shelf {
    margin: 16px 0 0 0;
    padding: 16px;
    border-radius: 10px;
    box-shadow: 0 4px 8px 5px rgba(0, 0, 0, 0.2);
}

.book_shelf > h2 {
    color: cornflowerblue;
}

.book_shelf > .book_list {
    padding: 16px;
}

.book_shelf > .book_list > .book_item {
    padding: 8px 16px 16px 16px;
    border: 1px solid black;
    border-radius: 5px;
    margin: 10px 0;
}

.book_shelf > .book_list > .book_item > h3, p {
    margin: 8px 0;
}

.book_shelf > .book_list > .book_item > .action > button {
    background-color: cornflowerblue;
    border: 0;
    padding: 2px;
    margin: 0 5px 0 0;
    border-radius: 5px;
    cursor: pointer;
}

.action > button >i{
    color:white;
    padding: 8px;
}

.action > button > i:hover{
    color:black;
}

footer{
    background-color: cornflowerblue;
    padding: 10px;
    color: white;
    text-align: center;
    font-weight: bold;
 }

@media screen and (max-width: 1000px) {
.headtitle{
    margin-right: 5%;
}
}

@media screen and (max-width: 768px) {
    .search_section {
        align-items: center;
        border-radius: 10px;
        display:block;
    }
    .head_bar {
        padding: 12px;
        display:block;
        align-items: center;
        justify-content: center;
        background-color: cornflowerblue;
        color: white;
        position: sticky;
        top: 0;
    }
}